MyAsserts
Date: 2015-03-03

org.bson.util

## Class MyAsserts

- java.lang.Object
- - org.bson.util.MyAsserts

-     public class MyAsserts
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MyAsserts.MyAssert`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyAsserts()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `_assertEquals(java.lang.Object a, java.lang.Object b)`
    `static void` | `assertArrayEquals(byte[] expected, byte[] result)`
    `static void` | `assertArrayEquals(char[] expected, char[] result)`
    `static void` | `assertClose(java.lang.String a, java.lang.Object o)`
    `static void` | `assertClose(java.lang.String a, java.lang.String b)`
    `static void` | `assertClose(java.lang.String a, java.lang.String b, java.lang.String tag)`
    `static void` | `assertEmptyString(java.lang.String s)`
    `static void` | `assertEquals(byte expected, byte result)`
    `static void` | `assertEquals(char a, char b)`
    `static void` | `assertEquals(double a, double b, double diff)`
    `static void` | `assertEquals(int a, int b)`
    `static void` | `assertEquals(long a, long b)`
    `static void` | `assertEquals(java.lang.Object a, java.lang.Object b)`
    `static void` | `assertEquals(short a, short b)`
    `static void` | `assertEquals(java.lang.String a, java.lang.Object b)`
    `static void` | `assertEquals(java.lang.String a, java.lang.String b, java.lang.String msg)`
    `static void` | `assertFalse(boolean b)`
    `static void` | `assertLess(double lower, double higher)`
    `static void` | `assertLess(long lower, long higher)`
    `static void` | `assertNotEquals(java.lang.Object a, java.lang.Object b)`
    `static void` | `assertNotNull(java.lang.Object foo)`
    `static void` | `assertNull(java.lang.Object foo)`
    `static void` | `assertSame(java.lang.Object a, java.lang.Object b)`
    `static void` | `assertTrue(boolean b)`
    `static void` | `assertTrue(boolean b, java.lang.String msg)`
    `static void` | `fail(java.lang.String errorMessage)`
    `static boolean` | `isClose(java.lang.String a, java.lang.String b)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyAsserts

          public MyAsserts()

  - ### Method Detail

    - #### assertTrue

          public static void assertTrue(boolean b)

    - #### assertTrue

          public static void assertTrue(boolean b,
                        java.lang.String msg)

    - #### assertFalse

          public static void assertFalse(boolean b)

    - #### assertEquals

          public static void assertEquals(int a,
                          int b)

    - #### assertEquals

          public static void assertEquals(long a,
                          long b)

    - #### assertEquals

          public static void assertEquals(char a,
                          char b)

    - #### assertEquals

          public static void assertEquals(short a,
                          short b)

    - #### assertEquals

          public static void assertEquals(byte expected,
                          byte result)

    - #### assertEquals

          public static void assertEquals(double a,
                          double b,
                          double diff)

    - #### assertEquals

          public static void assertEquals(java.lang.String a,
                          java.lang.Object b)

    - #### assertSame

          public static void assertSame(java.lang.Object a,
                        java.lang.Object b)

    - #### assertEquals

          public static void assertEquals(java.lang.Object a,
                          java.lang.Object b)

    - #### _assertEquals

          public static void _assertEquals(java.lang.Object a,
                           java.lang.Object b)

    - #### assertEquals

          public static void assertEquals(java.lang.String a,
                          java.lang.String b,
                          java.lang.String msg)

    - #### assertArrayEquals

          public static void assertArrayEquals(byte[] expected,
                               byte[] result)

    - #### assertArrayEquals

          public static void assertArrayEquals(char[] expected,
                               char[] result)

    - #### assertNotEquals

          public static void assertNotEquals(java.lang.Object a,
                             java.lang.Object b)

    - #### assertClose

          public static void assertClose(java.lang.String a,
                         java.lang.Object o)

    - #### assertClose

          public static void assertClose(java.lang.String a,
                         java.lang.String b)

    - #### assertClose

          public static void assertClose(java.lang.String a,
                         java.lang.String b,
                         java.lang.String tag)

    - #### isClose

          public static boolean isClose(java.lang.String a,
                        java.lang.String b)

    - #### assertNull

          public static void assertNull(java.lang.Object foo)

    - #### assertNotNull

          public static void assertNotNull(java.lang.Object foo)

    - #### assertLess

          public static void assertLess(long lower,
                        long higher)

    - #### assertLess

          public static void assertLess(double lower,
                        double higher)

    - #### assertEmptyString

          public static void assertEmptyString(java.lang.String s)

    - #### fail

          public static void fail(java.lang.String errorMessage)